# RemotePortForwarder.ForwardedTCPIPChannel (sshj 0.7.0 API)
Date: 2012-01-08

## net.schmizz.sshj.connection.channel.forwarded
Class RemotePortForwarder.ForwardedTCPIPChannel

    java.lang.Object
      net.schmizz.sshj.connection.channel.AbstractChannel
          net.schmizz.sshj.connection.channel.forwarded.AbstractForwardedChannel
              net.schmizz.sshj.connection.channel.forwarded.RemotePortForwarder.ForwardedTCPIPChannel

All Implemented Interfaces:
  Closeable, ErrorNotifiable, SSHPacketHandler, Channel, Channel.Forwarded

Enclosing class:
  RemotePortForwarder

    public static class RemotePortForwarder.ForwardedTCPIPChannel

extends AbstractForwardedChannel

A `forwarded-tcpip` channel.

Nested Class Summary

Nested classes/interfaces inherited from interface net.schmizz.sshj.connection.channel.Channel
`Channel.Direct, Channel.Forwarded`

Nested classes/interfaces inherited from interface net.schmizz.sshj.common.ErrorNotifiable
`ErrorNotifiable.Util`

Field Summary
`static String` `TYPE`

Fields inherited from class net.schmizz.sshj.connection.channel.forwarded.AbstractForwardedChannel
`origIP, origPort`

Fields inherited from class net.schmizz.sshj.connection.channel.AbstractChannel
`close, conn, log, lwin, open, rwin, trans`

Constructor Summary
`RemotePortForwarder.ForwardedTCPIPChannel(Connection conn, int recipient, int remoteWinSize, int remoteMaxPacketSize, RemotePortForwarder.Forward fwd, String origIP, int origPort)`

Method Summary
`RemotePortForwarder.Forward` `getParentForward()`

Methods inherited from class net.schmizz.sshj.connection.channel.forwarded.AbstractForwardedChannel
`confirm, getOriginatorIP, getOriginatorPort, reject`

Methods inherited from class net.schmizz.sshj.connection.channel.AbstractChannel
`close, closeAllStreams, eofInputStreams, finishOff, getAutoExpand, getID, getInputStream, getLocalMaxPacketSize, getLocalWinSize, getOutputStream, getRecipient, getRemoteMaxPacketSize, getRemoteWinSize, getType, gotExtendedData, gotUnknown, handle, handleRequest, init, isOpen, join, join, newBuffer, notifyError, receiveInto, sendChannelRequest, sendClose, sendEOF, setAutoExpand, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.schmizz.sshj.connection.channel.Channel
`close, getAutoExpand, getID, getInputStream, getLocalMaxPacketSize, getLocalWinSize, getOutputStream, getRecipient, getRemoteMaxPacketSize, getRemoteWinSize, getType, isOpen, join, join, sendEOF, setAutoExpand`

Methods inherited from interface net.schmizz.sshj.common.SSHPacketHandler
`handle`

Methods inherited from interface net.schmizz.sshj.common.ErrorNotifiable
`notifyError`

Field Detail

### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

Constructor Detail

### RemotePortForwarder.ForwardedTCPIPChannel

    public RemotePortForwarder.ForwardedTCPIPChannel(Connection conn,
                                                     int recipient,
                                                     int remoteWinSize,
                                                     int remoteMaxPacketSize,
                                                     RemotePortForwarder.Forward fwd,
                                                     String origIP,
                                                     int origPort)

Method Detail

### getParentForward

    public RemotePortForwarder.Forward getParentForward()

  Returns:
    the forwarding from which this channel originates.

Copyright © 2009-2012. All Rights Reserved.